Name: szip
Version: 1.1
Release: 1.PU_IAS.1
License: Custom
Group: Scientific/Libraries
Source0: ftp://ftp.ncsa.uiuc.edu/HDF/szip/src/szip%{version}.tar.gz
URL: http://hdf.ncsa.uiuc.edu/HDF5/doc_resource/SZIP/
BuildRoot: %{_tmppath}/%{name}-root
Requires: /sbin/ldconfig
Summary: Szip compression software, providing lossless compression of scientific data

%description
Szip compression software, providing lossless compression of scientific data, 
is provided with HDF software products as of HDF5 Release 1.6.0 and HDF4 
Release 2.0.

Szip is an implementation of the extended-Rice lossless compression algorithm.
The Consultative Committee on Space Data Systems (CCSDS) has adopted the 
extended-Rice algorithm for international standards for space 
applications[1,6,7]. Szip is reported to provide fast and effective compression,
specifically for the EOS data generated by the NASA Earth Observatory System 
(EOS)[1]. It was originally developed at University of New Mexico (UNM) and 
integrated with HDF4 by UNM researchers and developers. 

%prep
%setup -q -n %{name}%{version}

%build
./configure --shared --prefix=/usr --libdir=%{_libdir}
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}
make install prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
#%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/lib*

%changelog
* Mon Apr 12 2004 Josko Plazonic <plazonic@math.princeton.edu>
- first build
